Get certified for free when you join Fabric Data Days 2026 and dive into Fabric, Power BI, SQL, AI, and other essential data skills.
Join nowJuly 7 - July 17 | Round 2 of the Power BI Dataviz World Championships. Don't miss your chance! Learn more
I am trying to generate Embed token with RLS using POSTMAN providing parameters:
POST https://api.powerbi.com/v1.0/myorg/groups/{GROUP ID}/reports/{REPORT ID}/GenerateToken
headers = {
Authorization: Bearer + {access_token from first post}
Content-Type:application/json; charset=utf-8
Accept:application/json
}
data= {
"accessLevel": "View",
"allowSaveAs": "false"
"identities": [
{
"username": "[email protected]",
"roles": [ "abc" ],
"datasets": [ "datasetID" ]
}
]
}
The generated token checked on https://microsoft.github.io/PowerBI-JavaScript/demo/v2-demo/index.html#
Embeded URL: https://api.powerbi.com/v1.0/myorg/groups/GROUPID/reports/REPORTID/GenerateToken
It is showing whole report without applying RLS. Is this approch is correct?
It will be great if someone suggest ans ASAP.
Any suggestions?
Join us in Barcelona for FabCon and SQLCon, the Fabric, Power BI, SQL, and AI community event. Save €200 with code FABCMTY200.
Join Fabric Data Days 2026: 60 days of free live/on-demand sessions, challenges, study groups, and certification opportunities.